10.7.2 update broke Canon EOS utility

Discussion in 'Mac OS X Lion (10.7)' started by DeeEss, Oct 20, 2011.

  1. DeeEss macrumors 6502a

    Joined:
    Jan 17, 2011
    #1
    I installed 10.7 on my computer and everything was running sweet. No problems. 10.7.2 update comes along and when I upgrade it Canon EOS utility stops working. It says it can not communicate with the camera.

    Does anybody else have the same issue?
     
  2. Blipp macrumors 6502

    Joined:
    Mar 14, 2011
    #2
    Not to sound like a douche but I've always found it significantly easier to not use any of the utilities Canon gives me with my camera... Are you just using it to get pictures off of your camera?
     
  3. DeeEss thread starter macrumors 6502a

    Joined:
    Jan 17, 2011
  4. Keleko macrumors 68000

    Joined:
    Mar 26, 2008
    #4
    The latest Canon EOS Utility doesn't work on Lion at all. You must have been using an older version of the utility for it to still work in Lion. I can't use an older version because the older ones don't recognize the 60D. We pretty much have to wait for Canon to put out a new version that supports Lion.

    Aren't there other programs that let you shoot tethered, like Aperture?
     
  5. iMikeT macrumors 68020

    Joined:
    Jul 8, 2006
    Location:
    California
    #5
    This is one reason why I'm glad that I still have 10.6.8 on another partition on my iMac, it's there when you absolutely need it.

    I have a much older version of EOS Utility on my portable running 10.5.8. I haven't upgraded cameras in a while so it works with what I have.

    Like Keleko said, users or EOS Utility are at the mercy of Canon to have it work with Mac OS X 10.7 Lion. And knowing Canon, they probably won't be updating the software until new hardware (5D Mark III?) is released.



    As far as other applications allowing for tethered shooting, I'm sure there are other applications that do this. However, I have found it best to always use the software that comes with the camera.
     
  6. DeeEss thread starter macrumors 6502a

    Joined:
    Jan 17, 2011
    #6
    EOS Utility and DPP work best with Canon. It's not the prettiest, or easiest software to use but it just works. I also use C1 with Phase backs but it's not working now either. Wont connect to the camera. Aperture is really average. Lightroom is way too slow.

    I have EOS Utility 2.7.2 It worked flawlessly with 10.7. It's just the update which has messed it up.

    I have a cloned 10.6 drive which I can go back to I guess. But I'm pretty sure I can't convert Mac Mail back to snow leopard mail once it's been converted to lion mail.

    I would imagine that with the 1DX just launched the update will be imminent.
     
  7. Craig A macrumors newbie

    Joined:
    Sep 13, 2012
    #7
    I bought early 350d in Dec 2005, and my only Mac in '07 with 10.4 software. That 10.4 software also worked smooth with my 2007 450d

    Dec 22, 2010 I bought 10.6 Box set w/ new iLife and (iWorks?). I couldn't get just the $29 upgrade to 10.6, because that product was written for, and I had not up graded to 10.5

    That's when I started having downloading problems w/ the older 350d. Took Mac in for unrelated service Nov '11, and long story short, came home w/ 10.7 installed, no 10.7 dvd for reinstall, and gave up my $129 10.6 box set for a $136.74 gift card

    Still thinking about going back to 10.4, as I have tried downloading current drivers from canon.usa, tried new USB cables, rebooted, etc - all seem to work a few times. Sometimes it seems like a timing conflict between to different Utility programs written for 2 diff cameras

    just saw that 2.7.2 update - glad to hear I may want the earliest Version if possible
     

Share This Page